API Guide Home (Online version only) |

# PhnMMIEntryType Struct Reference

## Detailed Description

MMI Decode struct.

Definition at line 394 of file HsPhoneNetworkTypes.h.

## Data Fields

- UInt16 size
- PhnMMIActionCode actionCode
- PhnMMIServiceCode serviceCode
- Boolean sendHit
- char text [kMaxMMISequenceLen+1]
- union {
  - struct {
    - char number [kMaxPhoneNumberLen+1]
    - PhnTeleserviceType type
    - UInt16 time
  - } mmiForwarding
  - struct {
    - PhnTeleserviceType type
    - char pwd [maxPasswordLen+1]
  - } mmiBarring
  - struct {
    - PhnTeleserviceType type
  - } mmiCallWaiting
  - struct {
    - char oldPwd [maxPasswordLen+1]
    - char newPwd [maxPasswordLen+1]
    - char repeatNewPwd [maxPasswordLen+1]
  - } mmiPassword
  - struct {
    - PhnCallControlType action
    - PhnConnectionID id
  - } mmiCallControl
  - struct {
    - char name [kMaxPhoneNumberLen+1]
    - char number [kMaxPhoneNumberLen+1]
    - GSMDialCLIRMode mode
  - } mmiPhoneNumber
- } data

## Field Documentation

UInt16 size

Definition at line 396 of file HsPhoneNetworkTypes.h.

PhnMMIActionCode actionCode

Definition at line 397 of file HsPhoneNetworkTypes.h.

PhnMMIServiceCode serviceCode

Definition at line 398 of file HsPhoneNetworkTypes.h.

Boolean sendHit

Definition at line 399 of file HsPhoneNetworkTypes.h.

char text[kMaxMMISequenceLen+1]

Definition at line 400 of file HsPhoneNetworkTypes.h.

char number[kMaxPhoneNumberLen+1]

Definition at line 405 of file HsPhoneNetworkTypes.h.

PhnTeleserviceType type

Definition at line 406 of file HsPhoneNetworkTypes.h.

UInt16 time

Definition at line 407 of file HsPhoneNetworkTypes.h.

struct { ... } mmiForwarding

char pwd[maxPasswordLen+1]

Definition at line 412 of file HsPhoneNetworkTypes.h.

struct { ... } mmiBarring

struct { ... } mmiCallWaiting

char oldPwd[maxPasswordLen+1]

Definition at line 420 of file HsPhoneNetworkTypes.h.

char newPwd[maxPasswordLen+1]

Definition at line 421 of file HsPhoneNetworkTypes.h.

char repeatNewPwd[maxPasswordLen+1]

Definition at line 422 of file HsPhoneNetworkTypes.h.

struct { ... } mmiPassword

PhnCallControlType action

Definition at line 426 of file HsPhoneNetworkTypes.h.

PhnConnectionID id

Definition at line 427 of file HsPhoneNetworkTypes.h.

struct { ... } mmiCallControl

char name[kMaxPhoneNumberLen+1]

Definition at line 431 of file HsPhoneNetworkTypes.h.

GSMDialCLIRMode mode

Definition at line 433 of file HsPhoneNetworkTypes.h.

struct { ... } mmiPhoneNumber

union { ... } data

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:22 2008 for Palm API Guide